#!/bin/bash

cp -vf "/etc/pacman.d/mirrorlist" "./airootfs/etc/pacman.d/"

sudo pacman -Sy --config pacman_sys.conf

sudo pacman -Sw --config pacman_sys.conf --noconfirm --cachedir "./airootfs/opt/extra-drivers" r8168-dkms

# sudo mv -vf "./airootfs/opt/extra-drivers/linux"* "./airootfs/usr/share/packages/"
sudo rm -vf "./airootfs/opt/extra-drivers/linux"*

packs=(
  dracut
  grub-dracut
  grub
  systemd-boot-dracut
  libxvmc
  linux-api-headers
  linux-cachyos
  linux-cachyos-headers
  linux-cachyos-zfs
  melawy-dracut-initramfs
  melawy-dracut-ukify
  melawy-refind-menu-generator
  melawy-refind-theme-nier-a2
  melawy-plymouth-theme-nier-a2
  os-prober
  refind
  update-grub
  xf86-video-intel
)

for pack in ${packs[@]}
do
  sudo pacman -Sw --config pacman_sys.conf --noconfirm --cachedir "./airootfs/usr/share/packages" $pack
done

sudo paccache -rvk 1 --cachedir "./airootfs/opt/extra-drivers"
sudo paccache -rvk 1 --cachedir "./airootfs/usr/share/packages"

# sudo rm "./airootfs/opt/extra-drivers/linux"*

notify-send -a "$(basename $(pwd)): Prepare" -t 10000 "finished" "$(date '+%Y.%m.%d %H:%M:%S')"

echo "Ready"
if [ "$status" == 0 ]; then
    sleep 5
    kill $(ps x | grep konsole | grep $0 | awk '{print $1}')
fi
