#!/bin/bash

edition="$(basename $(pwd))"
date_tag="$(date +%Y.%m.%d)"

iso_name="${edition}-${date_tag}-x86_64"
iso_dir="${edition}-${date_tag}"





cp -vf      "../work_${edition}/iso/arch/pkglist.x86_64.txt"                     "../sf/${iso_dir}/${iso_name}-pkglist.txt"



echo "Sign ../sf/${iso_dir}/${iso_name}.iso.sig ../sf/${iso_dir}/${iso_name}.iso"
if [ -f "../sf/${iso_dir}/${iso_name}.iso.sig" ]; then rm "../sf/${iso_dir}/${iso_name}.iso.sig"; fi
gpg --detach-sign --local-user BC8B600E8DDA1F4CB77B10D2BA803A261A5EE6B8 --output "../sf/${iso_dir}/${iso_name}.iso.sig" "../sf/${iso_dir}/${iso_name}.iso"


cd "../sf/${iso_dir}"

echo "md5sum ${iso_name}.iso"
md5sum     "${iso_name}.iso"                                                      > "${iso_name}.iso.md5"

echo "sha1sum ${iso_name}.iso"
sha1sum     "${iso_name}.iso"                                                      > "${iso_name}.iso.sha1"

echo "sha256sum ${iso_name}.iso"
sha256sum   "${iso_name}.iso"                                                      > "${iso_name}.iso.sha256"

cd ".."

mktorrent --verbose --comment="https://melawy.ru" --announce="udp://fosstorrents.com:6969/announce,udp://tracker.opentrackr.org:1337/announce,udp://opentracker.i2p.rocks:6969/announce,udp://open.demonii.com:1337/announce,udp://tracker.openbittorrent.com:6969/announce,http://tracker.openbittorrent.com:80/announce,udp://open.stealth.si:80/announce,udp://tracker.torrent.eu.org:451/announce,udp://exodus.desync.com:6969/announce,udp://tracker1.bt.moack.co.kr:80/announce,udp://tracker.moeking.me:6969/announce,udp://explodie.org:6969/announce,https://tracker.tamersunion.org:443/announce,udp://uploads.gamecoast.net:6969/announce,udp://tracker.tiny-vps.com:6969/announce,udp://tracker.bittor.pw:1337/announce,udp://retracker01-msk-virt.corbina.net:80/announce,udp://movies.zsw.ca:6969/announce,udp://isk.richardsw.club:6969/announce,https://tracker.renfei.net:443/announce,https://tr.burnabyhighstar.com:443/announce,http://fosstorrents.com:6969/announce" --output="${iso_dir}/${iso_name}.torrent" "${iso_dir}"

notify-send -a "$(basename $(pwd)): Sign" -t 10000 "finished" "$(date '+%Y.%m.%d %H:%M:%S')"

echo "Ready"
if [ "$status" == 0 ]; then
    sleep 5
    kill $(ps x | grep konsole | grep $0 | awk '{print $1}')
fi
